org.apache.lucene.analysis.opennlp

## Class OpenNLPLemmatizerFilterFactory

- java.lang.Object
- - org.apache.lucene.analysis.util.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.util.TokenFilterFactory
    - - org.apache.lucene.analysis.opennlp.OpenNLPLemmatizerFilterFactory

- All Implemented Interfaces:
    ResourceLoaderAware

      public class OpenNLPLemmatizerFilterFactory
      extends TokenFilterFactory
      implements ResourceLoaderAware

  Factory for `OpenNLPLemmatizerFilter`.

       <fieldType name="text_opennlp_lemma" class="solr.TextField" positionIncrementGap="100"
         <analyzer>
           <tokenizer class="solr.OpenNLPTokenizerFactory"
                      sentenceModel="filename"
                      tokenizerModel="filename"/>
           />
           <filter class="solr.OpenNLPLemmatizerFilterFactory"
                   dictionary="filename"
                   lemmatizerModel="filename"/>
         </analyzer>
       </fieldType>

  Since:
    7.3.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DICTIONARY`
    `static String` | `LEMMATIZER_MODEL`

    - ### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OpenNLPLemmatizerFilterFactory(Map<String,String> args)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OpenNLPLemmatizerFilter` | `create(TokenStream in)`
    `void` | `inform(ResourceLoader loader)`

    - ### Methods inherited from class org.apache.lucene.analysis.util.TokenFilterFactory

      `availableTokenFilters, forName, lookupClass, normalize, reloadTokenFilters`

    - ### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DICTIONARY

          public static final String DICTIONARY

      See Also:
        Constant Field Values

    - #### LEMMATIZER_MODEL

          public static final String LEMMATIZER_MODEL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### OpenNLPLemmatizerFilterFactory

          public OpenNLPLemmatizerFilterFactory(Map<String,String> args)

  - ### Method Detail

    - #### create

          public OpenNLPLemmatizerFilter create(TokenStream in)

      Specified by:
        `create` in class `TokenFilterFactory`

    - #### inform

          public void inform(ResourceLoader loader)
                      throws IOException

      Specified by:
        `inform` in interface `ResourceLoaderAware`
      Throws:
        `IOException`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.